<template>
  <div id="map">
    <div id="name">
      {{ map.name }}
      <div id="defaultTag" v-if="map.spawnPosition">Default</div>
    </div>
    <div id="btns">
      <button class="blue" title="Edit the map" @click="$emit('edit', map.id)">
        E
      </button>
      <button
        class="red"
        title="Delete the map"
        @click="$emit('delete', map.id)"
        :disabled="map.spawnPosition"
      >
        X
      </button>
    </div>
  </div>
</template>

<script lang="ts">
/**
 * @licence
 * Copyright 2022-2022 - RPG of the Apocalypse
 * Licensed under MIT or any later version
 * Refer to the LICENSE file included.
 */

import { Component, Vue, Prop } from "vue-property-decorator";
import { Map } from "../../../services/backends/world";

@Component
export default class MapItem extends Vue {
  @Prop() map!: Map;
}
</script>

<style scoped>
#map {
  display: flex;
  justify-content: space-between;
  padding: 5px;
}
#map:hover {
  background-color: rgba(238, 238, 238, 0.1);
}
#name {
  display: flex;
  align-items: center;
  gap: 20px;
}
#name #defaultTag {
  font-size: 0.8em;
  opacity: 0.5;
  border: solid white 1px;
  padding: 0 3px 0 3px;
  border-radius: 3px;
}
#btns {
  display: flex;
  gap: 5px;
}
</style>
